<?php
// CORS設定
header('Access-Control-Allow-Origin: http://localhost:5173'); // ローカルホストからのアクセスを許可
header('Access-Control-Allow-Methods: GET, OPTIONS'); // 許可するHTTPメソッドを指定
header('Access-Control-Allow-Headers: Content-Type, Authorization'); // 許可するヘッダーを指定

// プリフライトリクエスト（OPTIONSメソッド）への対応
if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    // プリフライトリクエストの場合は200で応答
    http_response_code(200);
    exit();
}

// 取得したいURLを指定
$url = "https://example.jp/powercmsx/plugins/SearchEstraier/app/pt-recommend-api.php?type=both&limit=3&url=https://example.jp/article/1.html";

// cURLセッションを初期化
$ch = curl_init();

// cURLオプションを設定
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Content-Type: application/json'
]);

// APIリクエストを実行してレスポンスを取得
$response = curl_exec($ch);

// エラーチェック
if (curl_errno($ch)) {
    // エラー発生時はエラーメッセージを返す
    echo json_encode(['error' => curl_error($ch)]);
} else {
    // 正常時はJSONレスポンスをそのまま返す
    header('Content-Type: application/json');
    echo $response;
    // header('HTTP/1.1 404 Not Found');
}

// cURLセッションを終了
curl_close($ch);
