import dayjs from "dayjs";

function EntryListItem({ entry }) {
  const publishedOn = dayjs(entry.cdate).format('YYYY-MM-DD HH:mm')

  return (
    <li className="recommend-list_item">
      <div className="d-flex">
        <div className="recommend-thumbnail">
          {entry.thumbnail_square ? (
            <img src={entry.thumbnail_square} alt="" width="50" height="50" />
          ) : (
            <img src="/website/images/no-image.png" alt="" width="50" height="50" />
          )}
        </div>
        <div className="recommend-link-wrapper">
          <a href={entry.uri} className="recommend-link">{entry.title}</a>
          <span className="recommend-date">公開日 : {publishedOn}</span>
        </div>
      </div>
    </li>
  )
}

export default EntryListItem;
